Loading...
Searching...
No Matches
request-config.hpp File Reference
`#include <cstddef>`
`#include <iostream>`
`#include <memory>`
`#include <string>`
`#include "line.hpp"`
Include dependency graph for request-config.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gpiod::request_config
| Stores a set of options passed to the kernel when making a line request. More...

## Namespaces

namespace | gpiod

## Functions

::std::ostream & | gpiod::operator<< (::std::ostream &out, const request_config &config)
| Stream insertion operator for request_config objects.